All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::value_error Struct Reference

`#include <exception.hpp>`

Inheritance diagram for uhd::value_error:

## Public Member Functions

| value_error (const std::string &what)
virtual unsigned | code (void) const
virtual value_error * | dynamic_clone (void) const
virtual void | dynamic_throw (void) const
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Constructor & Destructor Documentation

uhd::value_error::value_error | ( | const std::string & | what | ) |

## Member Function Documentation

virtual unsigned uhd::value_error::code | ( | void |  | ) | const

virtual

Implements uhd::exception.

virtual value_error* uhd::value_error::dynamic_clone | ( | void |  | ) | const

virtual

Implements uhd::exception.

virtual void uhd::value_error::dynamic_throw | ( | void |  | ) | const

virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- include/uhd/exception.hpp